SBREAD(3)

NAME
sbread, sbwrite - read and write superblocks of a UFS file system

LIBRARY
libufs

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
#include <ufs/ufs/ufsmount.h>
#include <ufs/ufs/dinode.h>
#include <ufs/ffs/fs.h>
#include <libufs.h>
int
sbread(struct uufsd *disk);
int
sbwrite(struct uufsd *disk, int all);

DESCRIPTION
The sbread() and sbwrite() functions provide superblock reads and writes for libufs(3) consumers. The sbread() and sbwrite() functions operate on the superblock field, d_sb, associated with a given userland UFS disk structure. Additionally, the sbwrite() function will write to all superblock locations if the all value is non-zero.

RETURN VALUES

ERRORS
The function sbread() may fail and set errno for any of the errors specified for the library function bread(3). Additionally, it may follow the libufs(3) error methodologies in situations where no usable superblock could be found.

The function sbwrite() may fail and set errno for any of the errors specified for the library function bwrite(3).

SEE ALSO
bread(3), bwrite(3), libufs(3)

HISTORY
These functions first appeared as part of libufs(3) in FreeBSD 5.0.

AUTHORS
Juli Mallett <jmallett@FreeBSD.org>